BillOS v1
Console llms.txt OpenAPI
DELETE/businesses/{bid}/report-schedules/{report}

Stop a scheduled report

DELETE /businesses/{bid}/report-schedules/{report}

Requires the businesses scope.

Removes the schedule. Nothing already sent is affected. Owner only.

Path parameters

NameTypeDescription
bidstringrequiredBusiness id, from POST /businesses.
reportstringrequiredOne of: workbook, full, profit, incomes, expenses, receivables, months, parties, documents_zip, movein, documents_csv, pcn874.

Response

200: { "ok": true, … }

FieldTypeDescription
okboolean

Errors: 400, 401, 403, 404, 429. Every failure answers { "error", "reason", "hint", "param", "doc_url", "retryable", "request_id" }: branch on reason, and read hint for what to change (https://docs.billos.co.il/errors.md).

DELETE /businesses/{bid}/report-schedules/{report}
curl -X DELETE "$BASE/businesses/$BID/report-schedules/{report}" \
  -H "X-Api-Key: $KEY"
const res = await fetch(`${BASE}/businesses/${BID}/report-schedules/{report}`, {
  method: 'DELETE',
  headers: {
    'X-Api-Key': KEY,
  },
})
const data = await res.json()
if (!data.ok) throw new Error(data.reason)
import requests
res = requests.delete(
    f"{BASE}/businesses/{BID}/report-schedules/{report}",
    headers={"X-Api-Key": KEY},
)
data = res.json()
Set BASE to https://api.billos.co.il/v1 and KEY to your bk_live_… key, or a bk_test_… key to run it against the sandbox.
Manage your businesses, keys and webhooks in the BillOS Console.